qkeyword(1)

NAME
qkeyword - list packages based on keywords

SYNOPSIS
qkeyword [opts] <action> <args>

DESCRIPTION
qkeyword allows various searches based on KEYWORDS. Some uses are aimed at Gentoo developers, to allow querying which packages would be available, or are candidate for keywording.

By default, the entire tree is traversed. Since this process can be slow, or result in too many results, the match arguments can be used to reduce the set of packages evaluated. -p and -c match package name and category respectively. They can both be used at the same time, but -p accepts regular atom format, including version and/or range. Hence, -p can be used to set both category as well as package in one go. The -m maintainer match, while reducing the resulting set, is likely to slow down the query processing since the metadata.xml file has to be read for each package examined. It is best used in combination with -p or -c.

qkeyword uses the keyword found in the configured profile (ARCH) for its queries. This keyword can be overridden by giving the desired keyword as argument. Note that this does not change the profile in use, which most notably can result in incorrect masks being applied for the -T and -S options.

OPTIONS

-p <arg>, --matchpkg <arg>
    match pkgname.

-c <arg>, --matchcat <arg>
    match catname.

-m <arg>, --matchmaint <arg>
    match maintainer email from metadata.xml (slow).

-A, --showarch
    show selected arch from profile configuration.

-i, --imlate
    list packages that can be marked stable for <arch>.

-d, --dropped
    list packages that have dropped keywords for <arch>.

-t, --needsstable
    list packages that have ~arch versions, but no stable versions for <arch>.

-s, --stats
    display statistics about the portage tree.

-a, --all
    list packages that have at least one version keyworded for <arch>.

-n, --not
    list packages that aren't keyworded for <arch>.

-S, --stable
    list latest stable version per package for <arch>.

-T, --testing
    list latest testing version per package for <arch>.

-F <arg>, --format <arg>
    Print latest atom using given format string.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Report full package versions, emit more elaborate output.

-q, --quiet
    Tighter output; suppress warnings.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

RETRIEVING LATEST TESTING VERSION AVAILABLE

To retrieve the latest available version in the ebuild tree marked as testing for the given ARCH, can be done with a combination of flags, mostly to restrict the search. For instance, to find the latest version of sys-devel/gcc available, one could use:
$ qkeyword -p sys-devel/gcc -T
sys-devel/gcc-8.3.0
It may be that there is a newer version available, but masked for the configured profile (via package.mask). Using -v will inform about this scenario happening:
$ qkeyword -p dev-vcs/cvs -Tv
masked by =dev-vcs/cvs-1.12.12*: dev-vcs/cvs-1.12.12-r12
Unrelated, but to locate the mask given, use verbose mode on q's mask listing:
$ q -mv dev-vcs/cvs
=dev-vcs/cvs-1.12.12* [/repo/gentoo/profiles/prefix/sunos/solaris/package.mask]

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
q(1), qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qwhich(1), qxpak(1)